local NAME = minetest.get_current_modname()
local MAX_ENERGY

minetest.register_node(NAME ..":capacitor", {
  description = "Capacitor",
  tiles = {
    "capacitor_top.png",
    "capacitor_top.png",
    "capacitor_side.png",
    "capacitor_side.png",
    "capacitor_side.png",
    "capacitor_side.png"
  },
  groups = {
    sparktech_techy = WRENCHABLE,
    sparktech_energy_type = ENERGY_STORE,
    sparktech_energy_storeonbreak = TRUE,
    sparktech_energy_max = MAX_ENERGY,
    sparktech_net_trigger = TRUE,
  }
})

minetest.register_craft({
    output = NAME .. ":capacitor",
    recipe = {
      { "group:steel_plate", "default:copper_ingot", "group:steel_plate" },
      { "default:copper_ingot", "sparkcore:cable", "default:copper_ingot" },
      { "group:steel_plate", "default:copper_ingot", "group:steel_plate" },
    }
})
